# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define soname 3

Name:               libshout-idjc
Version:            2.3.0
Release:            2.5
Summary:            Libshout modified for IDJC
Source:             http://prdownloads.sourceforge.net/project/idjc/libshout-idjc/libshout-idjc-%{version}.tar.gz
URL:                http://sourceforge.net/projects/idjc/
Group:              System/Libraries
License:            LGPL-2.1+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libogg-devel
BuildRequires:      libvorbis-devel
BuildRequires:      libspeex-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
This is a modified version of libshout, for IDJC.

%package -n %{name}%{soname}
Summary:            Libshout modified for IDJC
Group:              System/Libraries

%description -n %{name}%{soname}
This is a modified version of libshout, for IDJC.

%package -n %{name}-devel
Summary:            Libshout modified for IDJC
Group:              Development/Libraries/C and C++
Requires:           %{name}%{soname} = %{version}

%description -n %{name}-devel
This is a modified version of libshout, for IDJC.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm \
    "%{buildroot}%{_libdir}"/lib*.a \
    "%{buildroot}%{_libdir}"/lib*.la
%__rm -rf "%{buildroot}%{_datadir}/doc"

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc COPYING NEWS README
%{_libdir}/libshout-idjc.so.%{soname}
%{_libdir}/libshout-idjc.so.%{soname}.*

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/shoutidjc
%{_libdir}/libshout-idjc.so
%{_libdir}/pkgconfig/shout-idjc.pc

%changelog
* Sun Mar  3 2013 pascal.bleser@opensuse.org
- initial version (2.3.0)
